Foxit PDF SDK

Instance Methods | Properties | List of all members
FSNamedAction Class Reference
Inheritance diagram for FSNamedAction:

## Instance Methods
(id) | - initWithAction:
| Constructor, with parent class object. More...
Instance Methods inherited from FSAction
(FSPDFDictionary *) | - getDict
| Get PDF dictionary of current object. More...
(FSPDFDoc *) | - getDocument
| Get the PDF document, to which current action belongs. More...
(FSAction *) | - getSubAction:
| Get a sub-action by index. More...
(int) | - getSubActionCount
| Get the count of sub-actions. More...
(FSActionType) | - getType
| Get action type. More...
(id) | - initWithDocument:action_dict:
| Constructor, with parameters. More...
(void) | - insertSubAction:sub_action:
| Insert a new sub-action to the location specified by index. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - removeAllSubActions
| Remove all the sub-actions. More...
(void) | - removeSubAction:
| Remove a sub-action, specified by index. More...
(void) | - setSubAction:sub_action:
| Set a sub-action by index. More...

## Properties
NSString * | name
| Get or Set the name of the action. More...

## Additional Inherited Members
Class Methods inherited from FSAction
(FSAction *) | + create:action_type:
| Create a new action, for specified action type. More...

## Detailed Description

Named action is an action that executes an action predefined by the viewer application.
Class FSNamedAction is derived from FSAction and offers functions to get/set named action data.

See also
  FSAction

## Method Documentation

## ◆ initWithAction:()

- (id) initWithAction: |  | (FSAction*) | action |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

Reimplemented from FSAction.

## Property Documentation

## ◆ name

- (NSString *) name
| read write nonatomic weak

Get or Set the name of the action.

In PDF reference 1.7, following names are defined and PDF viewer applications are expected to support them:
"NextPage", "PrevPage", "FirstPage", "LastPage".
Some more standard names may be added in later version. Application can also use additional, non-standard names.